package com.miaxis.school.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * pc驾校训练场对象
 *
 * @author wwl
 * @date 2021-01-19
 */
@Data
@ApiModel(value = "SchoolRegion", description = "pc驾校训练场对象")
public class SchoolRegionPcVO extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "主键id")
    private Long id;

    /** 驾校全国统一编号 */
    @ApiModelProperty(value = "驾校全国统一编号")
    private String inscode;


    /** 教学区域名称 */
    @ApiModelProperty(value = "教学区域名称")
    private String name;

    /** 教学区域地址 */
    @ApiModelProperty(value = "教学区域地址")
    private String address;

    /** 教学区域面积 */
    @ApiModelProperty(value = "教学区域面积")
    private Long area;

    /** 教学区域类型 1：第二部分；2：第三部分 */
    @ApiModelProperty(value = "教学区域类型 1：第二部分；2：第三部分")
    private Long type;

    /** 培训车型 */
    @ApiModelProperty(value = "培训车型")
    private String vehicletype;


    /** 审核状态： 0：待审核 1：同意启用 2：不同意启用 */
    @Excel(name = "审核状态： 0：待审核 1：同意启用 2：不同意启用")
    @TableField("flag")
    @ApiModelProperty(value = "审核状态： 0：待审核 1：同意启用 2：不同意启用")
    private Long flag;


    /** 经度 */
    @Excel(name = "经度")
    @TableField("poi_lon")
    @ApiModelProperty(value = "经度")
    private BigDecimal poiLon;

    /** 纬度 */
    @Excel(name = "纬度")
    @TableField("poi_lat")
    @ApiModelProperty(value = "纬度")
    private BigDecimal poiLat;

}
